View Issue Details

IDProjectCategoryView StatusLast Update
0024356mantisbtattachmentspublic2020-06-18 15:10
Reporteryangray Assigned Toatrol  
PriorityurgentSeveritymajorReproducibilityunable to reproduce
Status closedResolutionno change required 
Product Version2.13.1 
Summary0024356: I can't upload my file!!!
Description

error info:

[Wed Apr 25 14:35:06.413647 2018] [:error] [pid 4396:tid 1320] [client 192.168.100.70:4110] Class 'finfo' not found\nC:\Bitnami\mantis-2.13.1-0\apps\mantis\htdocs\core\file_api.php: 1023: - - - - file_create_finfo()\nC:\Bitnami\mantis-2.13.1-0\apps\mantis\htdocs\core\file_api.php: 710: - - - - file_get_mime_type( <string>'C:\\Bitnami\\mantis-2.13.1-0\\php\\tmp\\phpC69E.tmp' )\nC:\Bitnami\mantis-2.13.1-0\apps\mantis\htdocs\core\file_api.php: 73: - - - - file_add( <integer>2, <array> { ['name'] => 'exported_issues.xml', ['type'] => 'text/xml', ['tmp_name'] => 'C:\\Bitnami\\mantis-2.13.1-0\\php\\tmp\\phpC69E.tmp', ['error'] => 0, ['size'] => 16995, ['browser_upload'] => true }, <string>'bug' )\nC:\Bitnami\mantis-2.13.1-0\apps\mantis\htdocs\core\commands\IssueFileAddCommand.php: 154: - - - - file_attach_files( <integer>2, <array> { [0] => <array> { ['name'] => 'exported_issues.xml', ['type'] => 'text/xml', ['tmp_name'] => 'C:\\Bitnami\\mantis-2.13.1-0\\php\\tmp\\phpC69E.tmp', ['error'] => 0, ['size'] => 16995 } } )\nC:\Bitnami\mantis-2.13.1-0\apps\mantis\htdocs\core\commands\Command.php: 137: IssueFileAddCommand - -> - process()\nC:\Bitnami\mantis-2.13.1-0\apps\mantis\htdocs\bugnote_add.php: 58: Command - -> - execute()\n, referer: http://192.168.100.70/mantis/view.php?id=2

TagsNo tags attached.

Relationships

has duplicate 0025171 closedatrol can not upload attachment or a jpg 
has duplicate 0027050 closedatrol Questions about uploading attachments 

Activities

atrol

atrol

2018-04-25 02:48

developer   ~0059674

Run admin/check/index.php and fix any errors or warnings you might get.

I assume you have to enable PHP fileinfo extension.

yangray

yangray

2018-04-25 02:59

reporter   ~0059675

Last edited: 2018-04-25 02:59

View 2 revisions

Thanks a lot !!
I can upload my file~~

Issue History

Date Modified Username Field Change
2018-04-25 02:40 yangray New Issue
2018-04-25 02:48 atrol Status new => feedback
2018-04-25 02:48 atrol Note Added: 0059674
2018-04-25 02:59 yangray Note Added: 0059675
2018-04-25 02:59 yangray Status feedback => new
2018-04-25 02:59 yangray Note Edited: 0059675 View Revisions
2018-04-25 03:08 atrol Assigned To => atrol
2018-04-25 03:08 atrol Status new => resolved
2018-04-25 03:08 atrol Resolution open => no change required
2018-04-29 19:21 vboctor Status resolved => closed
2019-01-08 05:55 atrol Relationship added has duplicate 0025171
2020-06-18 15:10 atrol Relationship added has duplicate 0027050